import type { CollecterParams } from "./types";
declare class Collecter {
    url: string;
    pg: number;
    pageCount: number;
    recordCount: number;
    params: CollecterParams;
    constructor(url: string, params?: CollecterParams);
    reset(): void;
    types: () => Promise<import("./types").Type[]>;
    nextPage(): Promise<any>;
    [Symbol.iterator](): this;
    next(): Promise<{
        done: boolean;
        value: Promise<any>;
    }>;
}
export default Collecter;
